<template>
  <div id="preview">
    <h1>{{ previews[index].title }}</h1>
    <p v-if="previews[index].text !== ''">{{ previews[index].text }}</p>
  </div>
</template>

<script>
export default {
  name: "Preview",
  data: function() {
    return {
      index: 0,
      previews: [
        {
          title: "Bienvenue sur Tamagopg",
          text: ''
        },
        {
          title: "Embarquez dans une aventure ou tout peut basculer",
          text: ''
        },
        {
          title: "Soyez maître de votre destin",
          text: "Aventurez vous dans les donjons, faites vous des alliés et tuer le dragon !"
        },
        {
          title: "Préparez-vous !",
          text: "Votre aventure commence maintenant !"
        }
      ]
    }
  },
  methods: {
    nextIndex: function() {
      setTimeout(() => {
        this.index++;
        if(this.index < this.previews.length) this.nextIndex();
        else {
          this.$emit('endPreview', true);
        }
      }, 6000);
    }
  },
  mounted() {
    this.nextIndex();
  }
}
</script>

<style scoped>

@keyframes text-fade {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
}

#preview {
  display: flex;
  flex-direction: column;
  flex: 1;
  justify-content: center;
  animation: 3s ease-in-out infinite alternate text-fade;
}
</style>